# Class BCF2FieldWriter.FTGenotypesWriter

java.lang.Object
htsjdk.variant.variantcontext.writer.BCF2FieldWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.GenotypesWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.StaticallyTypeGenotypesWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.FTGenotypesWriter

Enclosing class:
  `BCF2FieldWriter`

public static class BCF2FieldWriter.FTGenotypesWriter extends BCF2FieldWriter.StaticallyTypeGenotypesWriter

Since:
  06/12

## Nested Class Summary

### Nested classes/interfaces inherited from class BCF2FieldWriter

`BCF2FieldWriter.FTGenotypesWriter, BCF2FieldWriter.GenericSiteWriter, BCF2FieldWriter.GenotypesWriter, BCF2FieldWriter.GTWriter, BCF2FieldWriter.IGFGenotypesWriter, BCF2FieldWriter.IntegerTypeGenotypesWriter, BCF2FieldWriter.SiteWriter, BCF2FieldWriter.StaticallyTypeGenotypesWriter`

## Constructor Summary

Constructors
Constructor
Description
`FTGenotypesWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addGenotype(BCF2Encoder encoder, VariantContext vc, Genotype g)`
`protected int`
`numElements(VariantContext vc, Genotype g)`

### Methods inherited from class BCF2FieldWriter.GenotypesWriter

`start`

### Methods inherited from class BCF2FieldWriter

`done, getField, getFieldEncoder, getHeader, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FTGenotypesWriter

public FTGenotypesWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)

## Method Details

### addGenotype

public void addGenotype(BCF2Encoder encoder, VariantContext vc, Genotype g) throws IOException

Overrides:
  `addGenotype` in class `BCF2FieldWriter.GenotypesWriter`
Throws:
  `IOException`

### numElements

protected int numElements(VariantContext vc, Genotype g)

Overrides:
  `numElements` in class `BCF2FieldWriter.GenotypesWriter`